org.w3c.css.sac

## Interface SiblingSelector

All Superinterfaces:
  Selector

    public interface SiblingSelector
    extends Selector

See Also:
  `Selector.SAC_DIRECT_ADJACENT_SELECTOR`

### Field Summary

Fields
`static short` `ANY_NODE`

### Fields inherited from interface org.w3c.css.sac.Selector

`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

### Method Summary

All Methods Instance Methods Abstract Methods
`short` `getNodeType()` The node type to considered in the siblings list.
`Selector` `getSelector()` Returns the first selector.
`SimpleSelector` `getSiblingSelector()`

### Methods inherited from interface org.w3c.css.sac.Selector

`getSelectorType`

### Field Detail

#### ANY_NODE

    static final short ANY_NODE

See Also:
  Constant Field Values

### Method Detail

#### getNodeType

    short getNodeType()

The node type to considered in the siblings list. All DOM node types are supported. In order to support the "any" node type, the code ANY_NODE is added to the DOM node types.

#### getSelector

    Selector getSelector()

Returns the first selector.

#### getSiblingSelector

    SimpleSelector getSiblingSelector()